package de.dnb.resolvingdienste.urnimporter.entity;

import java.net.URI;

public class Url {

    private final URI url;
    private final boolean primary;
    private final boolean frontpage;
    private final String contentType;

    //TODO: http://api.nbn-resolving.org/v1/docs/reference/json_RESTCreateUrlRequest.html

    public Url(URI url, boolean primary, boolean frontpage, String contentType) {
        this.url = url;
        this.primary = primary;
        this.frontpage = frontpage;
        this.contentType = contentType;
    }

    public URI getUrl() {
        return url;
    }

    public boolean isPrimary() {
        return primary;
    }

    public boolean isFrontpage() {
        return frontpage;
    }

    public String getContentType() {
        return contentType;
    }

}
